%define realname	JSON
%define name		perl-%{realname}
%define version		2.12
%define release		%mkrel 1

Summary:	Parse and convert to JSON (JavaScript Object Notation)
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{realname}/
Source:		http://search.cpan.org/CPAN/authors/id/M/MA/MAKAMAKA/%{realname}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(HTTP::Request)
BuildRequires:	perl(HTTP::Response)
BuildRequires:	perl(Test::More)
BuildRequires:  perl(CGI)
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
This module converts between JSON (JavaScript Object Notation) and
Perl data structure into each other.

%prep
%setup -q -n %{realname}-%{version}
sed -i.DOS -e 's/\r//g' README

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%__make

%check
%__make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc Changes README
%{_mandir}/*/*
%{perl_vendorlib}/JSON*



%changelog
* Thu Jul 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.12-1mdv2009.0
+ Revision: 236722
- update to new version 2.12

* Wed Jun 18 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.11-1mdv2009.0
+ Revision: 224891
- update to new version 2.11

* Fri Jun 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.10-1mdv2009.0
+ Revision: 216422
- update to new version 2.10

* Tue Apr 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.09-1mdv2009.0
+ Revision: 196477
- update to new version 2.09
- update to new version 2.09

* Tue Apr 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.08-1mdv2009.0
+ Revision: 193855
- update to new version 2.08

* Sun Feb 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.07-1mdv2008.1
+ Revision: 169973
- update to new version 2.07

* Sat Feb 09 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.06-1mdv2008.1
+ Revision: 164627
- update to new version 2.06

* Wed Feb 06 2008 Funda Wang <fundawang@mandriva.org> 2.05-1mdv2008.1
+ Revision: 162940
- update to new version 2.05

* Tue Jan 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.04-1mdv2008.1
+ Revision: 152939
- update to new version 2.04
- update to new version 2.04

* Thu Dec 27 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.02-1mdv2008.1
+ Revision: 138327
- update to new version 2.02

* Fri Dec 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.01-1mdv2008.1
+ Revision: 136228
- update to new version 2.01

* Thu Dec 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.00-1mdv2008.1
+ Revision: 135969
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.15-1mdv2008.1
+ Revision: 109524
- update to new version 1.15

* Thu Jul 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.14-1mdv2008.0
+ Revision: 56106
- new version

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 1.11-1mdv2008.0
+ Revision: 20008
- 1.11


* Wed Jun 14 2006 Scott Karns <scottk@mandriva.org> 1.07-1mdv2007.0
- Version 1.07

* Thu Apr 27 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.05-2mdk
- Fix BuildRequires

* Wed Apr 26 2006 Scott Karns <scottk@mandriva.org> 1.05-1mdk
- Initial MDV release

